// TestDlg.cpp : fichier d'implmentation
//

#include "stdafx.h"
#include "TestList.h"
#include "TestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// bote de dialogue CTestDlg



CTestDlg::CTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTestDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

CTestDlg::~CTestDlg()
{
}

void CTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_LIST1, c_list);
}

BEGIN_MESSAGE_MAP(CTestDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
END_MESSAGE_MAP()


// gestionnaires de messages pour CTestDlg

BOOL CTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Dfinir l'icne de cette bote de dialogue. L'infrastructure effectue cela automatiquement
	//  lorsque la fentre principale de l'application n'est pas une bote de dialogue
	SetIcon(m_hIcon, TRUE);			// Dfinir une grande icne
	SetIcon(m_hIcon, FALSE);		// Dfinir une petite icne

	// TODO : ajoutez ici une initialisation supplmentaire
	for (int i = 0; i < 24; ++i)
	{
		CString text;
		text.Format(_T("Item %d"), i + 1);
		if (!(i % 3))
			text += _T(" with long label");
		c_list.InsertItem(i, text, 0);
	}

	return TRUE;  // retourne TRUE, sauf si vous avez dfini le focus sur un contrle
}

// Si vous ajoutez un bouton Rduire  votre bote de dialogue, vous devez utiliser le code ci-dessous
//  pour dessiner l'icne. Pour les applications MFC utilisant le modle Document/Vue,
//  cela est fait automatiquement par l'infrastructure.

void CTestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // contexte de priphrique pour la peinture

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Centrer l'icne dans le rectangle client
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Dessiner l'icne
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// Le systme appelle cette fonction pour obtenir le curseur  afficher lorsque l'utilisateur fait glisser
//  la fentre rduite.
HCURSOR CTestDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}
