#pragma once

///////////////////////////////////////////////////////////////////////////////
// Options d'inclusion

// Exclure les en-ttes Windows rarement utiliss
#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN
#endif

// Certains constructeurs CString seront explicites
#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS

// Dsactive le masquage MFC de certains messages d'avertissement courants et
// par ailleurs souvent ignors
#define _AFX_ALL_WARNINGS



///////////////////////////////////////////////////////////////////////////////
// Versions de Windows

// Server 2003 family	_WIN32_WINNT >= 0x0502
// XP					_WIN32_WINNT >= 0x0501
// 2000					_WIN32_WINNT >= 0x0500
// NT4					_WIN32_WINNT >= 0x0400
// Me					_WIN32_WINDOWS = 0x0490
// 98					_WIN32_WINDOWS >= 0x0410
#define WINDOWS_VERSION	0x0501

#ifndef WINVER
#define WINVER			WINDOWS_VERSION
#endif
#ifndef _WIN32_WINNT
#define _WIN32_WINNT	WINDOWS_VERSION
#endif
#ifndef _WIN32_WINDOWS
#define _WIN32_WINDOWS	WINDOWS_VERSION
#endif



///////////////////////////////////////////////////////////////////////////////
// Versions d'Internet Explorer

// 6.0					_WIN32_IE >= 0x0600
// 5.01, 5.5			_WIN32_IE >= 0x0501
// 5.0, 5.0a, 5.0b		_WIN32_IE >= 0x0500
// 4.01					_WIN32_IE >= 0x0401
// 4.0					_WIN32_IE >= 0x0400
// 3.0, 3.01, 3.02		_WIN32_IE >= 0x0300
#ifndef _WIN32_IE	
#define _WIN32_IE		0x0600
#endif



///////////////////////////////////////////////////////////////////////////////
// Includes MFC

#include <afxwin.h>		// composants MFC principaux et standard
#include <afxext.h>		// extensions MFC
#include <afxdisp.h>	// Classes MFC Automation
#include <afxdtctl.h>	// MFC pour les contrles communs Internet Explorer 4
#include <afxcmn.h>		// MFC pour les contrles communs Windows



///////////////////////////////////////////////////////////////////////////////
// Autres includes standards
